Package org.apache.ignite.internal.cache.query

## Class InIndexQueryCriterion

- java.lang.Object
- - org.apache.ignite.internal.cache.query.InIndexQueryCriterion

All Implemented Interfaces:
  `Serializable`, `IndexQueryCriterion`

    public final class InIndexQueryCriterion
    extends Object
    implements IndexQueryCriterion

Criterion for IN operator.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`InIndexQueryCriterion​(String field, Collection<?> vals)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `field()`
`Set<Object>` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InIndexQueryCriterion

    public InIndexQueryCriterion​(String field,
                                 Collection<?> vals)

### Method Detail

#### values

    public Set<Object> values()

#### field

    public String field()

Specified by:
  `field` in interface `IndexQueryCriterion`
Returns:
  Index field name.